Page MenuHomePhabricator

Install MobileFrontend on wikitech
Closed, ResolvedPublic

Description

I think there is no reason why it shouldn't and would make it easier for mobile device users to work with wikitech.

There should be a m.wikitech entry in dns, too, in order to enable MF.

Details

Related Gerrit Patches:

Event Timeline

Florian created this task.Jan 27 2015, 3:17 AM
Florian raised the priority of this task from to Needs Triage.
Florian updated the task description. (Show Details)
Florian added a subscriber: Florian.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 27 2015, 3:17 AM
Florian added a subscriber: Dzahn.Jan 27 2015, 3:17 AM
Florian set Security to None.Jan 27 2015, 3:31 AM
Florian added subscribers: MaxSem, Andrew, Jdlrobson, kaldari.
Dzahn added a comment.EditedJan 27 2015, 6:36 AM

Yes, let's add the DNS entry. I once suggested to generate the .m. entries in DNS from a template for all wikis in wikimedia.org but it was pointed out how not all wikis have MF enabled. The default is to enable it though and there were only 2 exceptions then, Wikidata and Wikitech.. m.wikidata.org exists meanwhile

ref: https://gerrit.wikimedia.org/r/#/c/171769/
ref: http://m.wikidata.org

'wmgMobileFrontend' => array(
'default' => true,
'labswiki' => false,
'wikidata' => false, // Disabled due to lack of mobile domain setup
),

Note that wikidata now already has MF enabled, just not automatic redirection while mobile support is being worked on. The workflow is:

  • add DNS entries
  • Enable MobileFrontend
  • Test
  • Enable automatic redirection when we're confident that it works reasonably
gerritbot added a subscriber: gerritbot.

Change 189761 had a related patch set uploaded (by MaxSem):
Add a mobile subdomain for wikitech

https://gerrit.wikimedia.org/r/189761

Patch-For-Review

Change 189761 merged by Dzahn:
Add a mobile subdomain for wikitech

https://gerrit.wikimedia.org/r/189761

Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Mar 13 2015, 9:59 PM
Aklapper triaged this task as Low priority.Apr 28 2015, 4:55 PM
Aklapper removed a project: Patch-For-Review.
Dzahn added a comment.Apr 28 2015, 5:20 PM

Since the DNS part is done i'm going to remove that project tag.

wikitech.m.wikimedia.org has address 208.80.154.236
wikitech.m.wikimedia.org has IPv6 address 2620:0:861:ed1a::1:c

Dzahn removed a project: DNS.Apr 28 2015, 5:20 PM

Looks like MobileFrontend is enabled on the site now as well... I guess we need some apache config changes to point wikitech.m.wm.o to the right place?

Looks like MobileFrontend is enabled on the site now as well... I guess we need some apache config changes to point wikitech.m.wm.o to the right place?

It would also require being put behind Varnish (currently, it's being exposed directly), which goes against the requirement of this wiki being accessible in all but the most severe outages.

Varnish breaking would be a severe outage, wouldn't it? We'd still have wikitech-static.

Restricted Application added a project: Cloud-Services. · View Herald TranscriptJun 25 2015, 8:17 PM
Dzahn added a comment.Dec 12 2015, 1:44 AM

I also think that's what we have wikitech-static for. But if we decline this, then fine, then we should just delete the DNS entry,

bd808 added a subscriber: bd808.Feb 5 2016, 5:02 AM

I'm not quite sure what is needed/desired here. When I browse to wikitech.wikimedia.org on my phone I get the MobileFrontend/Minerva version of the wiki. Once there I can login using my 2fa protected account. I can even edit pages.

I don't think a m.whatever domain is really necessary at all unless it is technically needed for Varnish cache optimization or something.

MaxSem closed this task as Resolved.Feb 5 2016, 7:18 AM
MaxSem claimed this task.

Yup, let's close this task. MF is up and running, if Varnish will ever be needed, MF can easily be set up to support that.

Dzahn added a comment.Dec 14 2016, 7:07 PM

for completeness: we deleted wikitech.m from DNS today.

[radon:~] $ host wikitech.m.wikimedia.org
Host wikitech.m.wikimedia.org not found: 3(NXDOMAIN)